"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.install = install;
Object.defineProperty(exports, "LazyLoad", {
  enumerable: true,
  get: function get() {
    return _lazyLoad.default;
  }
});
exports.default = void 0;

var _lazyLoad = _interopRequireDefault(require("./directives/lazy-load"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function install(Vue) {
  Vue.directive('lazy-load', _lazyLoad.default);
}

var plugin = {
  install: install
};
var _default = plugin;
exports.default = _default;
var GlobalVue = null;

if (typeof window !== 'undefined') {
  GlobalVue = window.Vue;
} else if (typeof global !== 'undefined') {
  GlobalVue = global.Vue;
}

if (GlobalVue) {
  GlobalVue.use(plugin);
}